LVBM.AddOns.Patchwerk = {
	["Name"] = LVBM_PW_NAME,
	["Abbreviation1"] = "pw",
	["Version"] = "1.1",
	["Author"] = "La Vendetta|Tandanu",
	["Description"] = LVBM_PW_DESCRIPTION,
	["Instance"] = LVBM_NAXX,
	["GUITab"] = LVBMGUI_TAB_NAXX,
	["Sort"] = 41,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = false,
	},	
	["Events"] = {
		["CHAT_MSG_MONSTER_YELL"] = true,
	},	
	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_MONSTER_YELL") then
			if (arg1 == LVBM_PW_YELL_1) or (arg1 == LVBM_PW_YELL_2) then
				LVBM.Announce("*** Enrage in 7 minutes ***");
				LVBM.Schedule(120, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 300);
				LVBM.Schedule(240, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 180);
				LVBM.Schedule(360, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 60);
				LVBM.Schedule(390, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 30);
				LVBM.Schedule(405, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 15);
				LVBM.Schedule(420, "LVBM.AddOns.Patchwerk.OnEvent", "EnrageWarning", 0);				
				LVBM.StartStatusBarTimer(420, "Enrage");
				LVBM.AddOns.Patchwerk.InCombat = true;
			end
		elseif (event == "EnrageWarning") then
			if arg1 == 300 then
				LVBM.Announce(string.format(LVBM_PW_ENRAGE_WARNING, 5, LVBM_MINUTES));
			elseif arg1 == 180 then
				LVBM.Announce(string.format(LVBM_PW_ENRAGE_WARNING, 3, LVBM_MINUTES));
			elseif arg1 == 60 then
				LVBM.Announce(string.format(LVBM_PW_ENRAGE_WARNING, 1, LVBM_MINUTE));
			elseif arg1 == 30 then
				LVBM.Announce(string.format(LVBM_PW_ENRAGE_WARNING, 30, LVBM_SECONDS));
			elseif arg1 == 15 then
				LVBM.Announce(string.format(LVBM_PW_ENRAGE_WARNING, 15, LVBM_SECONDS));
			end
		elseif (event == "ConfirmCombatEnd") then
			if (not UnitAffectingCombat("player")) and (not UnitIsDeadOrGhost("player")) then			
				LVBM.UnSchedule("LVBM.AddOns.Patchwerk.OnEvent");
				LVBM.EndStatusBarTimer("Enrage");
				LVBM.AddOns.Patchwerk.InCombat = false;
			end
		end
	end,
	
	["OnUpdate"] = function(elapsed) 
		if (LVBM.AddOns.Patchwerk.InCombat) and (not UnitAffectingCombat("player")) and (not UnitIsDeadOrGhost("player")) and (not LVBM.GetScheduleTimeLeft("LVBM.AddOns.Patchwerk.OnEvent", "ConfirmCombatEnd")) then
			LVBM.Schedule(10, "LVBM.AddOns.Patchwerk.OnEvent", "ConfirmCombatEnd");
		end
	end,
	["UpdateInterval"] = 3,	
};
