LVBM.AddOns.Battlegrounds = { 
	["Name"] = "Alterac and Arathi Battegrounds",
	["Abbreviation1"] = "bg",
	["Version"] = "1.0",
	["Author"] = "LeoLeal",
	["Description"] = "Shows timer bars for Alterac Valley and Arathi Basin flag captures.",
	["Instance"] = LVBM_OTHER,
	["GUITab"] = LVBMGUI_TAB_OTHER,
	["Sort"] = 0,
	["Options"] = {
		["Enabled"] = true,
		["Announce"] = true,
	},
	["Events"] = {
		["CHAT_MSG_MONSTER_YELL"] = true,
		["CHAT_MSG_BG_SYSTEM_ALLIANCE"] = true,
		["CHAT_MSG_BG_SYSTEM_HORDE"] = true,
		["PLAYER_ENTERING_WORLD"] = true,
	},	
	
	["OnEvent"] = function(event, arg1)
		if (event == "CHAT_MSG_BG_SYSTEM_ALLIANCE") then
			for index,value in ipairs(GAB_Objectives) do
				if string.find(arg1,value) then
					if string.find(arg1,GVLocale["HASASSAULTED"]) or string.find(arg1,GVLocale["CLAIMSTHE"]) then
						--Initiate a timer w/ value as text string for 60 seconds
						LVBM.EndStatusBarTimer("Horde: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
						LVBM.StartStatusBarTimer(63, "Alliance: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
					elseif string.find(arg1,GVLocale["HASDEFENDEDTHE"]) or string.find(arg1,GVLocale["HASTAKENTHE"]) then
						--clear a timer for value
						if string.find(arg1,GVLocale["HASTAKENTHE"]) then
							LVBM.Announce("*** Alliance has taken the "..LVBM.Capitalize(GAB_Objectives[index]).." ***");
						end
						LVBM.EndStatusBarTimer("Alliance: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
						LVBM.EndStatusBarTimer("Horde: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
					end
				end
			end
		
			--Initial capture of Snowfall for horde
			if string.find(string.lower(arg1),string.lower(GAV_Objectives[8])) then
				LVBM.EndStatusBarTimer("Horde: "..GAV_Objectives_NL[8]);
				LVBM.StartStatusBarTimer(303, "Alliance: "..GAV_Objectives_NL[8]);
			end
		elseif (event == "CHAT_MSG_MONSTER_YELL") then
			for index, value in ipairs(GAV_Objectives) do
				if string.find(string.lower(arg1),string.lower(value)) then
					if string.find(arg1,GVLocale["UNDERATTACK"]) then
						--Initiate a timer w/ value as text string for 300 seconds
						if string.find(arg1,GVLocale["HORDE"]) then 
							LVBM.EndStatusBarTimer("Alliance: "..GAV_Objectives_NL[index]);
							LVBM.StartStatusBarTimer(303, "Horde: "..GAV_Objectives_NL[index]);
						end
						if string.find(arg1,GVLocale["ALLIANCE"]) then
							LVBM.EndStatusBarTimer("Horde: "..GAV_Objectives_NL[index]);
							LVBM.StartStatusBarTimer(303, "Alliance: "..GAV_Objectives_NL[index]);
						end
					elseif string.find(arg1,GVLocale["BYTHE"]) or string.find(arg1,GVLocale["HASTAKENTHE"]) then
						--clear a timer for value
						if string.find(arg1,GVLocale["ALLIANCE"]) then
							LVBM.Announce("*** Alliance has taken the "..value.." ***");
						end
						if string.find(arg1,GVLocale["HORDE"]) then
							LVBM.Announce("*** Horde has taken the "..value.." ***");
						end
						LVBM.EndStatusBarTimer("Alliance: "..GAV_Objectives_NL[index]);
						LVBM.EndStatusBarTimer("Horde: "..GAV_Objectives_NL[index]);
					end
				end
			
			end
		elseif (event == "CHAT_MSG_BG_SYSTEM_HORDE") then
			for index,value in ipairs(GAB_Objectives) do
				if string.find(arg1,value) then
					if string.find(arg1,GVLocale["HASASSAULTED"]) or string.find(arg1,GVLocale["CLAIMSTHE"]) then
						--Initiate a timer w/ value as text string for 60 seconds
						LVBM.EndStatusBarTimer("Alliance: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
						LVBM.StartStatusBarTimer(63, "Horde: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
					elseif string.find(arg1,GVLocale["HASDEFENDEDTHE"]) or string.find(arg1,GVLocale["HASTAKENTHE"]) then
						--clear a timer for value
						if string.find(arg1,GVLocale["HASTAKENTHE"]) then
							LVBM.Announce("*** Horde has taken the "..LVBM.Capitalize(GAB_Objectives[index]).." ***");
						end
						LVBM.EndStatusBarTimer("Horde: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
						LVBM.EndStatusBarTimer("Alliance: "..LVBM.Capitalize(GAB_Objectives_NL[index]));
					end
				end
			end
		
			--Initial capture of Snowfall for horde
			if string.find(string.lower(arg1),string.lower(GAV_Objectives[8])) then
				LVBM.EndStatusBarTimer("Alliance: "..GAV_Objectives_NL[8]);
				LVBM.StartStatusBarTimer(303, "Horde: "..GAV_Objectives_NL[8]);
			end
		elseif (event == "PLAYER_ENTERING_WORLD") then
			for index,value in ipairs(GAB_Objectives) do
				LVBM.EndStatusBarTimer("Horde: "..LVBM.Capitalize(GAB_Objectives_NL[index]), true);
				LVBM.EndStatusBarTimer("Alliance: "..LVBM.Capitalize(GAB_Objectives_NL[index]), true);
			end
			for index,value in ipairs(GAV_Objectives) do
				LVBM.EndStatusBarTimer("Horde: "..GAV_Objectives_NL[index], true);
				LVBM.EndStatusBarTimer("Alliance: "..GAV_Objectives_NL[index], true);
			end
		end
	end,		
};
